<?php

namespace App\Service;

use App\Entity\Commentaire;
use Doctrine\ORM\EntityManagerInterface;
use Twig\Environment;
use Twig\Extension\RuntimeExtensionInterface;

class Nouveautes implements RuntimeExtensionInterface
{
    private $twig;
    private $em;

    public function __construct(EntityManagerInterface $em, Environment $twig)
    {
        $this->em = $em;
        $this->twig = $twig;
    }

    public function afficher () {
        $commentaires = $this->em->getRepository(Commentaire::class)->findLast(5);

        return $this->twig->render('nouveautes/nouveautes.html.twig', [
            'commentaires'  =>  $commentaires
        ]);
    }
}